SageTV Community  

Go Back   SageTV Community > SageTV Products > SageTV Software

Notices

SageTV Software Discussion related to the SageTV application produced by SageTV. Questions, issues, problems, suggestions, etc. relating to the SageTV software application should be posted here. (Check the descriptions of the other forums; all hardware related questions go in the Hardware Support forum, etc. And, post in the customizations forum instead if any customizations are active.)

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 05-25-2019, 09:00 AM
pjwerdna pjwerdna is offline
Sage Aficionado
 
Join Date: Oct 2004
Location: UK, Slough
Posts: 395
Upgrade of version 7 to 9.2,1 on XP fails on plugins

Hi

Been trying to upgrade my XP based SageTV server from version 7 to 9.2.1.

Installed Java 1.7.80 and Windows Installer 4.5, then got SageTV upgraded by skipping LAVfilters and ignoring the STVEVRPrstr.dll error.

SageTV runs etc, but I cant upgdate some of the plugins from bintray as they fail during download. For example...

Code:
Sat 5/25 15:52:02.416 [ReProcessHook@f01b71] Plugin installation is starting for SageTVPlugin[jetty state=Repository name=Jetty Web Server version=2.3.0.17 type=Standard desc=Provides a platform for SageTV web application plugins.

Currently available web applications can manage SageTV recordings from desktop or mobile web browsers, manage fanart and metadata, provide remote web services for SageTV, configure batch job processing, and more.

The plugin consists of two parts.  The first part is Jetty, a 3rd-party Java web server from Mortbay Consulting that can be embedded in a Java program such as SageTV.  The second part is a set of plugin classes created by the author that interact with SageTV to start, stop, and configure the Jetty web server. author=jreichen screenshots=[http://sageplugins.sourceforge.net/screenshots/jetty/SageTVWebApps.png] videos=null created=6/1/2008 modified=4/23/2011 resPath=jetty webpages=[http://forums.sagetv.com/forums/showthread.php?t=48818, http://tools.assembla.com/sageplugins/wiki/Jetty, http://jetty.codehaus.org/jetty/] implementation=sagex.jetty.starter.JettyPlugin desktopOnly=false serverOnly=false OS=Win,Linux,Mac dependencies=[PluginDependency[SageTV minVer=9.0 type=Core], PluginDependency[Java minVer=1.7 type=JVM], PluginDependency[sagex-api minVer=9.0 type=Plugin], PluginDependency[ant minVer=1.8.2 type=Plugin]] packages=[Package[type=JAR url=https://dl.bintray.com/opensagetv/sagetv-plugins/jetty/2.3.0/jetty-starter-jars-2.3.0.14.zip md5=ebc8f8bad569abc032be14a56d82c8ac overwrite=true], Package[type=System url=https://dl.bintray.com/opensagetv/sagetv-plugins/jetty/2.3.0/jetty-starter-config-files-2.3.0.14.zip md5=5655915b46b3a4a7e4cda4b921ff8560 overwrite=true], Package[type=System url=https://dl.bintray.com/opensagetv/sagetv-plugins/jetty/2.3.0/jetty-starter-user-config-files-2.3.0.14.zip md5=fd7c812bcb0a02018bcf8c694635dfad overwrite=false], Package[type=System url=https://dl.bintray.com/opensagetv/sagetv-plugins/jetty/2.3.0/jetty-starter-webapp-war-file-2.3.0.14.zip md5=50e991ddaa942ce46d04d7673418281e overwrite=true], Package[type=System url=https://dl.bintray.com/opensagetv/sagetv-plugins/jetty/2.3.0/jetty-starter-webapp-context-file-2.3.0.14.zip md5=8144be030148a469dbcdf95cc29531f1 overwrite=true]]] ver=2.3.0.17
Sat 5/25 15:52:02.416 [ReProcessHook@f01b71] Checking for compatability of the new plugin...
Sat 5/25 15:52:02.417 [ReProcessHook@f01b71] Plugin is compatible!
Sat 5/25 15:52:02.417 [ReProcessHook@f01b71] Plugin package Package[type=JAR url=https://dl.bintray.com/opensagetv/sagetv-plugins/jetty/2.3.0/jetty-starter-jars-2.3.0.14.zip md5=ebc8f8bad569abc032be14a56d82c8ac overwrite=true]
Sat 5/25 15:52:02.417 [ReProcessHook@f01b71] Plugin asset name is httpsdlbintraycomopensagetvsagetvpluginsjetty230jettystarterjars23014zip
Sat 5/25 15:52:02.417 [ReProcessHook@f01b71] Now downloading the plugin package from https://dl.bintray.com/opensagetv/sagetv-plugins/jetty/2.3.0/jetty-starter-jars-2.3.0.14.zip to local cache file PluginInstallers\jetty\2.3.0.17\httpsdlbintraycomopensagetvsagetvpluginsjetty230jettystarterjars23014zip
Sat 5/25 15:52:02.417 [ReProcessHook@f01b71] Download requested for files server=https://dl.bintray.com/opensagetv/sagetv-plugins/jetty/2.3.0/jetty-starter-jars-2.3.0.14.zip src=null dest=PluginInstallers\jetty\2.3.0.17\httpsdlbintraycomopensagetvsagetvpluginsjetty230jettystarterjars23014zip
Sat 5/25 15:52:02.537 [ReProcessHook@f01b71] ERROR with file download of:javax.net.ssl.SSLHandshakeException: Remote host closed connection during handshake
Sat 5/25 15:52:02.537 [ReProcessHook@f01b71] Resource download failed from https://dl.bintray.com/opensagetv/sagetv-plugins/jetty/2.3.0/jetty-starter-jars-2.3.0.14.zip
Sat 5/25 15:52:06.731 [AWT-EventQueue-0@235ad8] processUserEvent-UserEvent[anything] evtTime=Sat 5/25 15:52:06.812
Downloading the same zip from bintray works from my windows 10 machine so the sites available.

Tried doing a repair but that fails as it tries to install LAVfilters and theyre not supported on XP.

Any ideas what missing that I need to update to get the download working on XP?
__________________
SageTV Server : Akasa Inifiiti Case, Gigabyte GA-P35C-DS3 MB, 8600GT, Core2 Duo (E6850 3GHz), 4GB RAM, ~6TB Filestore , Nova-TD500, TBS 6280, SageTV 7.1.9
New Client 2 :MSI P67A-GD53, i5 2500K Quad core (3.3GHz), 12GB, Windows 10 Pro (and test SageTV 9 Install)
Sage Client 1 : HD300, Logitech Harmony One

Last edited by pjwerdna; 05-25-2019 at 09:49 AM. Reason: Spelling
Reply With Quote
  #2  
Old 05-25-2019, 02:20 PM
SHS's Avatar
SHS SHS is offline
Moderator
 
Join Date: Mar 2003
Location: Vinita, Oklahoma
Posts: 4,464
Some plug-in are not compatible with SageTV 9
Reply With Quote
  #3  
Old 05-25-2019, 04:44 PM
JREkiwi's Avatar
JREkiwi JREkiwi is offline
Sage Icon
 
Join Date: Jan 2005
Location: Auckland, New Zealand
Posts: 2,073
You need Java 8 to download plugins from an https repository.

John
Reply With Quote
  #4  
Old 05-25-2019, 07:54 PM
Galaxysurfer Galaxysurfer is offline
Sage Aficionado
 
Join Date: Jun 2009
Location: Calgary, AB CANADA
Posts: 276
May I suggest a switch to Linux? You really are playing security roulette by staying with win xp. I am running Mx Linux as my server base. It is a really "new linux user" friendly os. Please check it out. I prefer it to ubuntu or linux mint. You can test it out with a live usb boot disk without installing it onto a harddrive. Run the version with systemd boot so that sagetv will install & run if you dont know how to alter files to accommodate systVinit. They have a very friendly user forum to help you along the path to using linux. Good luck!
Reply With Quote
  #5  
Old 05-26-2019, 04:35 AM
pjwerdna pjwerdna is offline
Sage Aficionado
 
Join Date: Oct 2004
Location: UK, Slough
Posts: 395
Quote:
Originally Posted by JREkiwi View Post
You need Java 8 to download plugins from an https repository.
I thought things like the webserver didnt work with java version 8. The first one I tried was the webserver as I use it a lot.

Quote:
Originally Posted by Galaxysurfer View Post
May I suggest a switch to Linux? You really are playing security roulette by staying with win xp. I am running Mx Linux as my server base. It is a really "new linux user" friendly os.
The machine is only ever used for SageTV. I could upgrade to windows 7 I guess, but its a bit tricky to buy. Not sure about linux as I'd loose use of LCDSmartie for the clock. Also Ive never found a version that actually runs properly on the hardware I seem to have .e.g. I tried the latest Linux mint recently and the driver update process couldnt access the internet to download any drivers even though the web browser worked fine.
__________________
SageTV Server : Akasa Inifiiti Case, Gigabyte GA-P35C-DS3 MB, 8600GT, Core2 Duo (E6850 3GHz), 4GB RAM, ~6TB Filestore , Nova-TD500, TBS 6280, SageTV 7.1.9
New Client 2 :MSI P67A-GD53, i5 2500K Quad core (3.3GHz), 12GB, Windows 10 Pro (and test SageTV 9 Install)
Sage Client 1 : HD300, Logitech Harmony One
Reply With Quote
  #6  
Old 05-26-2019, 06:23 AM
UgaData's Avatar
UgaData UgaData is offline
Sage Aficionado
 
Join Date: Sep 2005
Posts: 349
Java 8 works but I think the URL for the WebServers change.

Try http://<Sage Server Name or IP>:8080/sage/Home for the Sage WebServer.

And http://<Sage Server Name or IP>:8080/bmt/#status for BMT
__________________
"Unencumbered by the thought process"

The only constant in the Universe is change.
Reply With Quote
  #7  
Old 05-26-2019, 07:32 AM
SHS's Avatar
SHS SHS is offline
Moderator
 
Join Date: Mar 2003
Location: Vinita, Oklahoma
Posts: 4,464
Did Jetty get up date last I head it was incompatible with ver 9
Reply With Quote
  #8  
Old 05-31-2019, 10:43 PM
Galaxysurfer Galaxysurfer is offline
Sage Aficionado
 
Join Date: Jun 2009
Location: Calgary, AB CANADA
Posts: 276
I suggested Linux due to it being a free alternative to windows. Mx Linux is a fair bit different than Linux mint & it's user forum is very friendly & helpful. They even have a FB usergroup. You could join Mx Linux user forum & ask about your hardware & if it is compatible with that version of linux. I run a 10+ year old Dell laptop with it just fine. You won't know what you'd be missing unless you give it a try. Your call & good luck with it all.

Jetty is available in SageTV 9 . Looking at my win 10 64 bit install & see

Jetty Web Server 2.3.0.17 as a plugin option under General.

PS at some point in the future I plan on offering up a beginner guide to navigate through the install & setup process for using Mx Linux with Sagetv. I'm sure I'm not the only one looking for an escape from Windows.

Last edited by Galaxysurfer; 05-31-2019 at 10:47 PM.
Reply With Quote
  #9  
Old 06-01-2019, 05:31 AM
pjwerdna pjwerdna is offline
Sage Aficionado
 
Join Date: Oct 2004
Location: UK, Slough
Posts: 395
Quote:
Originally Posted by JREkiwi View Post
You need Java 8 to download plugins from an https repository.

John
Seems I cant install the Java 8 on XP that SageTV would install. I always get the same error in the %temp%/jusched.log file. Ive managed to upgrade as far as 1.8.0_152, but cant get any further without this error

Code:
[2019/06/01 12:15:03.382, jre-8u161-windows-i586.exe (PID: 844, TID: 840), JavaEnvironment.cpp:0 (JavaEnvironment::detect)]
	TRACE: Exiting JavaEnvironment::detect (entered at JavaEnvironment.cpp:473)
[2019/06/01 12:15:03.382, jre-8u161-windows-i586.exe (PID: 844, TID: 840), UpdateConf.cpp:401 (SetJavaSoftKey)]
	ERROR: Exception with message 'Registry.cpp(431) at Registry::deleteValue(): delete value (HKLM\SOFTWARE\JavaSoft\InstallStatus) error. System error [2](system error 2 (The system cannot find the file specified))' caught
[2019/06/01 12:15:03.382, jre-8u161-windows-i586.exe (PID: 844, TID: 840), wrapper.cpp:120 (WinMain)]
	TRACE: Old JRE found: 1.8.0_152
Cant seem to find any fixes for this at the moment.

Is Java JRE 1.8.0_152 enough for SageTV 9?
__________________
SageTV Server : Akasa Inifiiti Case, Gigabyte GA-P35C-DS3 MB, 8600GT, Core2 Duo (E6850 3GHz), 4GB RAM, ~6TB Filestore , Nova-TD500, TBS 6280, SageTV 7.1.9
New Client 2 :MSI P67A-GD53, i5 2500K Quad core (3.3GHz), 12GB, Windows 10 Pro (and test SageTV 9 Install)
Sage Client 1 : HD300, Logitech Harmony One
Reply With Quote
  #10  
Old 06-01-2019, 12:57 PM
Galaxysurfer Galaxysurfer is offline
Sage Aficionado
 
Join Date: Jun 2009
Location: Calgary, AB CANADA
Posts: 276
Does your profile show your current hardware used with the win xp server? My dell laptop is a core duo running on Mx Linux. Sorry couldn't resist. It would solve your os issues.

Last edited by Galaxysurfer; 06-01-2019 at 01:11 PM.
Reply With Quote
  #11  
Old 06-01-2019, 02:36 PM
JREkiwi's Avatar
JREkiwi JREkiwi is offline
Sage Icon
 
Join Date: Jan 2005
Location: Auckland, New Zealand
Posts: 2,073
Quote:
Originally Posted by pjwerdna View Post
Cant seem to find any fixes for this at the moment.
There's no fix because XP is not supported.

Quote:
Originally Posted by pjwerdna View Post
Is Java JRE 1.8.0_152 enough for SageTV 9?
If the plugins will download, then yes. I don't think there's any other Java build level requirement.

John
Reply With Quote
  #12  
Old 06-02-2019, 03:13 AM
pjwerdna pjwerdna is offline
Sage Aficionado
 
Join Date: Oct 2004
Location: UK, Slough
Posts: 395
Quote:
Originally Posted by Galaxysurfer View Post
Does your profile show your current hardware used with the win xp server? My dell laptop is a core duo running on Mx Linux. Sorry couldn't resist. It would solve your os issues.
Yes that spec is current. Although only 1 of the tuners on the Nove-DT card is enabled as I get a bluescreen in the USB driver if both are enabled. I suspect the laptop doesnt have a GIGABYTE GBB36X Controller for the SATA drives though. All my SATA drives connect using that so proper support would be fairly critical.
Quote:
Originally Posted by JREkiwi View Post
There's no fix because XP is not supported.
Although they dont say it wont work anymore and I did find the occaisional report of people who seem to have had the same error on windows 7 and 10 which definitely are supported.
Quote:
Originally Posted by JREkiwi View Post
If the plugins will download, then yes. I don't think there's any other Java build level requirement.
Well they all downloaded except the "External Status socket interface plugin", where that bit of the website doesnt exist anymore. So I'd class 1.8.0_152 as a success.
I stopped updating the XP server when XP was nolonger supported. Then Stopped updating SageTV when v9 came out, partly because it take 15 minutes to start SageTV and things already worked. Though I do wonder if version 7.0.2 of the external status socket interface would have fixed the memory leak.
__________________
SageTV Server : Akasa Inifiiti Case, Gigabyte GA-P35C-DS3 MB, 8600GT, Core2 Duo (E6850 3GHz), 4GB RAM, ~6TB Filestore , Nova-TD500, TBS 6280, SageTV 7.1.9
New Client 2 :MSI P67A-GD53, i5 2500K Quad core (3.3GHz), 12GB, Windows 10 Pro (and test SageTV 9 Install)
Sage Client 1 : HD300, Logitech Harmony One
Reply With Quote
  #13  
Old 06-03-2019, 01:34 PM
Galaxysurfer Galaxysurfer is offline
Sage Aficionado
 
Join Date: Jun 2009
Location: Calgary, AB CANADA
Posts: 276
I just posted my instructions for sagetv with mx linux & hauppauge pci cards if you are interested. Not sure how the usb cards work since I dont have any to test them in the mix. https://forums.sagetv.com/forums/sho...046#post621046

Maybe this can help your migration to linux? Good luck! Running openjdk version "1.8.0_212"
Reply With Quote
  #14  
Old 06-03-2019, 01:44 PM
Galaxysurfer Galaxysurfer is offline
Sage Aficionado
 
Join Date: Jun 2009
Location: Calgary, AB CANADA
Posts: 276
http://www.hauppauge.com/pages/suppo...ort_linux.html

I dont see your usb model listed here. It may require a question off to the Hauppauge Linux developer to get it troubleshooted.


He can be reached at here

https://github.com/b-rad-ndi/ubuntu-...kernel-builder

In my build I am not using the custom ubuntu kernel. I am using the mainline kernel 4.19 with changes from custom media kernel already incorporated & security patches by distro under the Mx Linux OS.
Reply With Quote
  #15  
Old 06-03-2019, 04:55 PM
pjwerdna pjwerdna is offline
Sage Aficionado
 
Join Date: Oct 2004
Location: UK, Slough
Posts: 395
Quote:
Originally Posted by Galaxysurfer View Post
http://www.hauppauge.com/pages/suppo...ort_linux.html

I dont see your usb model listed here. It may require a question off to the Hauppauge Linux developer to get it troubleshooted.

In my build I am not using the custom ubuntu kernel. I am using the mainline kernel 4.19 with changes from custom media kernel already incorporated & security patches by distro under the Mx Linux OS.
Actually the Nova-TD500 is a PCI card, although the tuners themselves are USB with a PCI to USB bridge. Given how old the card is (2010?) Im not sure how keen they would be to support it.

The TBS6280 isnt on that list either and is also nolonger available although that one is PCIe (from 2012 Maybe as the driver is 2015). It does have Linux drivers available but only for version 2.6 or 3 kernels. Just to make things nice and easy the installation instructions are only for the Satellite version of the card.
__________________
SageTV Server : Akasa Inifiiti Case, Gigabyte GA-P35C-DS3 MB, 8600GT, Core2 Duo (E6850 3GHz), 4GB RAM, ~6TB Filestore , Nova-TD500, TBS 6280, SageTV 7.1.9
New Client 2 :MSI P67A-GD53, i5 2500K Quad core (3.3GHz), 12GB, Windows 10 Pro (and test SageTV 9 Install)
Sage Client 1 : HD300, Logitech Harmony One
Reply With Quote
  #16  
Old 06-04-2019, 06:00 PM
Galaxysurfer Galaxysurfer is offline
Sage Aficionado
 
Join Date: Jun 2009
Location: Calgary, AB CANADA
Posts: 276
Sorry to hear that. I guess that is an incentive to upgrade to the newer quad cards. I know you probably don't want to spend any money on this setup. At least you knowthen that the newer hardware will be supported then.
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Upgrade to STV9, some plugins will not update Ender SageTV Github Development 6 10-27-2016 06:28 AM
Which plugins should we include as core plugins, if we were to auto-install plugins? stuckless SageTV Github Development 35 07-08-2016 04:01 PM
help with plugins after upgrade from 7.0.23 to 7.1.9 nettech_gt SageTV v7 Customizations 0 10-02-2011 09:45 PM
Upgrade looks nice but fails for me wbarber69 SageTV Beta Test Software 7 07-18-2007 08:17 PM
How do I get a version 6 key (upgrade) rdefino SageTV Beta Test Software 16 11-06-2006 10:06 AM


All times are GMT -6. The time now is 06:40 PM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.
Copyright 2003-2005 SageTV, LLC. All rights reserved.